"""
functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-313/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff963cf600>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff963cf6a0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff963cf740>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff963cf7e0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff963cf880>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff963cf920>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff963cf9c0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff963cfa60>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff963cfb00>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff963cfba0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff963cfc40>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff963cfce0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff963cfd80>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff963cfe20>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff963cfec0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff963cff60>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c8040>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c80e0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c8180>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c8220>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c82c0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c8360>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c8400>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c84a0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c8540>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c85e0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c8680>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c8720>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c87c0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c8860>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c8900>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c89a0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c8a40>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c8ae0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c8b80>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c8c20>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c8cc0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c8d60>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c8e00>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c8ea0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c8f40>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c8fe0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c9080>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c9120>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c91c0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c9260>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c9300>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c93a0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c9440>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c94e0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c9580>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c9620>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c96c0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c9760>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c9800>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c98a0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c9940>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c99e0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c9a80>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c9b20>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c9bc0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c9c60>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c9d00>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c9da0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c9e40>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c9ee0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff947c9f80>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff947ca020>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff947ca0c0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff947ca160>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff947ca200>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff947ca2a0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff947ca340>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff947ca3e0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff947ca480>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff947ca520>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff947ca5c0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff947ca660>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff947ca700>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff947ca7a0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff947ca8e0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff947ca840>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff947ca980>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff947caa20>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff947caac0>)]
name: str = 'fr_HOCCN'
